//------------------------------------------------------------------------------------
// irr::scene::IParticleBoxEmitter wrappers
//------------------------------------------------------------------------------------

extern "C" 
{

	void IrrScene_IParticleBoxEmitter_setBox( IParticleBoxEmitter* pe, aabbox3df* box )
	{
		if (pe) {
			pe->setBox(*box);
		}
	}

	// must delete
	aabbox3df* IrrScene_IParticleBoxEmitter_getBox(IParticleBoxEmitter* pe)
	{
		if (pe) {
			return new aabbox3df(pe->getBox());
		}
	}	
}

